<div class="warning-dialog">
  <h2 class="warning-dialog-header" mat-dialog-title>{{ data.title }}</h2>
  <mat-dialog-content class="warning-dialog-content">
    <span>
      {{ data.content }}<b>&nbsp;{{ data.boldContent }}</b
      >{{ data.confirm ? "?" : "" }}
    </span>
  </mat-dialog-content>

  <mat-dialog-actions class="justify-content-between">
    @if (!data.confirm) {
      <button color="primary" mat-flat-button mat-dialog-close>
        {{ data.title.includes("Conformance") ? "Continue" : "Close" }}
      </button>
    } @else {
      <button color="warn" mat-stroked-button mat-dialog-close>No</button>
      <button color="primary" mat-flat-button [mat-dialog-close]="data">
        Yes
      </button>
    }
  </mat-dialog-actions>
</div>
